- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends

# QWSDisplay Class Reference

Search for all occurrences

## Detailed Description

Definition at line 82 of file qwsdisplay_qws.h.

`#include <qwsdisplay_qws.h>`

List of all members.

## Public Member Functions
| QWSDisplay ()
| ~QWSDisplay ()
bool | eventPending () const
QWSEvent * | getEvent ()
uchar * | frameBuffer () const
int | width () const
int | height () const
int | depth () const
int | pixmapDepth () const
bool | supportsDepth (int) const
uchar * | sharedRam () const
int | sharedRamSize () const
void | addProperty (int winId, int property)
void | setProperty (int winId, int property, int mode, const QByteArray &data)
void | setProperty (int winId, int property, int mode, const char *data)
void | removeProperty (int winId, int property)
bool | getProperty (int winId, int property, char *&data, int &len)
QList< QWSWindowInfo > | windowList ()
int | windowAt (const QPoint &)
void | setIdentity (const QString &appName)
void | nameRegion (int winId, const QString &n, const QString &c)
void | requestRegion (int winId, const QString &surfacekey, const QByteArray &surfaceData, const QRegion &region)
void | repaintRegion (int winId, int windowFlags, bool opaque, QRegion)
void | moveRegion (int winId, int dx, int dy)
void | destroyRegion (int winId)
void | requestFocus (int winId, bool get)
void | setAltitude (int winId, int altitude, bool fixed=false)
void | setOpacity (int winId, int opacity)
int | takeId ()
void | setSelectionOwner (int winId, const QTime &time)
void | convertSelection (int winId, int selectionProperty, const QString &mimeTypes)
void | defineCursor (int id, const QBitmap &curs, const QBitmap &mask, int hotX, int hotY)
void | destroyCursor (int id)
void | selectCursor (QWidget *w, unsigned int id)
void | setCursorPosition (int x, int y)
void | grabMouse (QWidget *w, bool grab)
void | grabKeyboard (QWidget *w, bool grab)
void | playSoundFile (const QString &)
void | registerChannel (const QString &channel)
void | sendMessage (const QString &channel, const QString &msg, const QByteArray &data)
void | flushCommands ()
void | sendIMUpdate (int type, int winId, int widgetid)
void | resetIM ()
void | sendIMResponse (int winId, int property, const QVariant &result)
void | sendIMMouseEvent (int index, bool isPress)
QWSQCopMessageEvent * | waitForQCopResponse ()
void | sendFontCommand (int type, const QByteArray &fontName)
void | setWindowCaption (QWidget *w, const QString &)
## Static Public Member Functions
static QWSDisplay * | instance ()
static bool | initLock (const QString &filename, bool create=false)
static bool | grabbed ()
static void | grab ()
static void | grab (bool write)
static void | ungrab ()
static void | setTransformation (int transformation, int screenNo=-1)
static void | setRawMouseEventFilter (void(*filter)(QWSMouseEvent *))
## Friends
class | QApplication
class | QCopChannel
class | QWSEmbedWidget
class | QWSEmbedWidgetPrivate
class | Data
class | QWSMemorySurface
class | QWSOnScreenSurface
class | QWSDirectPainterSurface
int | qt_fork_qapplication ()
void | qt_app_reinit (const QString &newAppName)

## Constructor & Destructor Documentation

QWSDisplay | ( |  | ) |

~QWSDisplay | ( |  | ) |

## Member Function Documentation

static QWSDisplay* instance | ( |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 88 of file qwsdisplay_qws.h.

    { return qt_fbdpy; }

bool eventPending | ( |  | ) | const

Search for all occurrences

QWSEvent* getEvent | ( |  | ) |

Search for all occurrences

uchar* frameBuffer | ( |  | ) | const

Search for all occurrences

int width | ( |  | ) | const

Search for all occurrences

int height | ( |  | ) | const

Search for all occurrences

int depth | ( |  | ) | const

Search for all occurrences

int pixmapDepth | ( |  | ) | const

Search for all occurrences

bool supportsDepth | ( | int |  | ) | const

Search for all occurrences

uchar* sharedRam | ( |  | ) | const

Search for all occurrences

int sharedRamSize | ( |  | ) | const

Search for all occurrences

void addProperty | ( | int | winId,
|  | int | property
| ) |  |

Search for all occurrences

void setProperty | ( | int | winId,
|  | int | property,
|  | int | mode,
|  | const QByteArray & | data
| ) |  |

Search for all occurrences

void setProperty | ( | int | winId,
|  | int | property,
|  | int | mode,
|  | const char * | data
| ) |  |

Search for all occurrences

void removeProperty | ( | int | winId,
|  | int | property
| ) |  |

Search for all occurrences

bool getProperty | ( | int | winId,
|  | int | property,
|  | char *& | data,
|  | int & | len
| ) |  |

Search for all occurrences

QList<QWSWindowInfo> windowList | ( |  | ) |

Search for all occurrences

int windowAt | ( | const QPoint & |  | ) |

Search for all occurrences

void setIdentity | ( | const QString & | appName | ) |

Search for all occurrences

void nameRegion | ( | int | winId,
|  | const QString & | n,
|  | const QString & | c
| ) |  |

Search for all occurrences

void requestRegion | ( | int | winId,
|  | const QString & | surfacekey,
|  | const QByteArray & | surfaceData,
|  | const QRegion & | region
| ) |  |

Search for all occurrences

void repaintRegion | ( | int | winId,
|  | int | windowFlags,
|  | bool | opaque,
|  | QRegion |
| ) |  |

Search for all occurrences

void moveRegion | ( | int | winId,
|  | int | dx,
|  | int | dy
| ) |  |

Search for all occurrences

void destroyRegion | ( | int | winId | ) |

Search for all occurrences

void requestFocus | ( | int | winId,
|  | bool | get
| ) |  |

Search for all occurrences

void setAltitude | ( | int | winId,
|  | int | altitude,
|  | bool | fixed = `false`
| ) |  |

Search for all occurrences

void setOpacity | ( | int | winId,
|  | int | opacity
| ) |  |

Search for all occurrences

int takeId | ( |  | ) |

Search for all occurrences

void setSelectionOwner | ( | int | winId,
|  | const QTime & | time
| ) |  |

Search for all occurrences

void convertSelection | ( | int | winId,
|  | int | selectionProperty,
|  | const QString & | mimeTypes
| ) |  |

Search for all occurrences

void defineCursor | ( | int | id,
|  | const QBitmap & | curs,
|  | const QBitmap & | mask,
|  | int | hotX,
|  | int | hotY
| ) |  |

Search for all occurrences

void destroyCursor | ( | int | id | ) |

Search for all occurrences

void selectCursor | ( | QWidget * | w,
|  | unsigned int | id
| ) |  |

Search for all occurrences

void setCursorPosition | ( | int | x,
|  | int | y
| ) |  |

Search for all occurrences

void grabMouse | ( | QWidget * | w,
|  | bool | grab
| ) |  |

Search for all occurrences

void grabKeyboard | ( | QWidget * | w,
|  | bool | grab
| ) |  |

Search for all occurrences

void playSoundFile | ( | const QString & |  | ) |

Search for all occurrences

void registerChannel | ( | const QString & | channel | ) |

Search for all occurrences

void sendMessage | ( | const QString & | channel,
|  | const QString & | msg,
|  | const QByteArray & | data
| ) |  |

Search for all occurrences

void flushCommands | ( |  | ) |

Search for all occurrences

void sendIMUpdate | ( | int | type,
|  | int | winId,
|  | int | widgetid
| ) |  |

Search for all occurrences

void resetIM | ( |  | ) |

Search for all occurrences

void sendIMResponse | ( | int | winId,
|  | int | property,
|  | const QVariant & | result
| ) |  |

Search for all occurrences

void sendIMMouseEvent | ( | int | index,
|  | bool | isPress
| ) |  |

Search for all occurrences

QWSQCopMessageEvent* waitForQCopResponse | ( |  | ) |

Search for all occurrences

void sendFontCommand | ( | int | type,
|  | const QByteArray & | fontName
| ) |  |

Search for all occurrences

void setWindowCaption | ( | QWidget * | w,
|  | const QString & |
| ) |  |

Search for all occurrences

static bool initLock | ( | const QString & | filename,
|  | bool | create = `false`
| ) |  | `[static]`

Search for all occurrences

static bool grabbed | ( |  | ) | `[static]`

Search for all occurrences

static void grab | ( |  | ) | `[static]`

Search for all occurrences

static void grab | ( | bool | write | ) | `[static]`

Search for all occurrences

static void ungrab | ( |  | ) | `[static]`

Search for all occurrences

static void setTransformation | ( | int | transformation,
|  | int | screenNo = `-1`
| ) |  | `[static]`

Search for all occurrences

static void setRawMouseEventFilter | ( | void(*)(QWSMouseEvent *) | filter | ) | `[static]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Definition at line 165 of file qwsdisplay_qws.h.

friend class QCopChannel `[friend]`

Search for all occurrences

Definition at line 166 of file qwsdisplay_qws.h.

friend class QWSEmbedWidget `[friend]`

Search for all occurrences

Definition at line 167 of file qwsdisplay_qws.h.

friend class QWSEmbedWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 168 of file qwsdisplay_qws.h.

friend class Data `[friend]`

Search for all occurrences

Definition at line 169 of file qwsdisplay_qws.h.

friend class QWSMemorySurface `[friend]`

Search for all occurrences

Definition at line 173 of file qwsdisplay_qws.h.

friend class QWSOnScreenSurface `[friend]`

Search for all occurrences

Definition at line 174 of file qwsdisplay_qws.h.

friend class QWSDirectPainterSurface `[friend]`

Search for all occurrences

Definition at line 175 of file qwsdisplay_qws.h.

int qt_fork_qapplication | ( |  | ) | `[friend]`

Search for all occurrences

void qt_app_reinit | ( | const QString & | newAppName | ) | `[friend]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qwsdisplay_qws.h

QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay
QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay QWSDisplay